#!/bin/sh

### script file name
SCRIPT_NAME=$(basename $0)

# exit codes
EXIT_OK=0
EXIT_ERROR=1 #TODO currently unused

CONFIGS_DIR_WORKING="/var/Counter/configs/"
DEFAULT_CONFIGS_DIR_WORKING="/var/Counter/DefaultConfigs/"
PARAM_FILE_NAME="czm_reference_image.data"

# parameter 1 - file name
Del_File()
{
    FILE=${1}
    if [ -f ${FILE} ] ; then
        rm -f ${FILE} 2>/dev/null
    fi
}



#### script starts here ####
#### find and remove all czm_reference_image.data

# find and remove all available working files
FILES=`find ${CONFIGS_DIR_WORKING} -iname ${PARAM_FILE_NAME}`
for i in ${FILES} ; do
    Del_File ${i}
done

# find and remove all available default files
FILES=`find ${DEFAULT_CONFIGS_DIR_WORKING} -iname ${PARAM_FILE_NAME}`
for i in ${FILES} ; do
    Del_File ${i}
done


exit ${EXIT_OK}
